#!/usr/bin/ruby
require "P4"

ENV.delete( "PWD" )
Dir.chdir( "/home/tony/p4tmp/client" )

p4 = P4.new
p4.parse_forms
p4.connect

info = p4.run_info.shift
puts( "Connected to server at " + info[ "serverAddress" ] )

p4.run_resolve do
    |merge|
    puts "Base: #{merge.base}"
    puts "Yours: #{merge.yours}"
    puts "Theirs: #{merge.theirs}"
    puts "Result: #{merge.merged}"
    puts "Hint: #{merge.hint}"
    "s"
end.each do
    |line|
    puts( line )
end
